## imcode.util
Class Prefs

    java.lang.Object
      imcode.util.Prefs

    public class Prefs

extends java.lang.Object

Used to load preferences from file. Caches the preferences, so each file is opened only once.

Method Summary
`static void` `flush()` Flushes the cache, causing the files to be loaded again, when they are needed.
`static java.util.Properties` `getProperties(java.lang.String file)` Get Properties from a config file.
`static void` `setConfigPath(java.io.File confPath)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### setConfigPath

    public static void setConfigPath(java.io.File confPath)

### flush

    public static void flush()

  Flushes the cache, causing the files to be loaded again, when they are needed.

### getProperties

    public static java.util.Properties getProperties(java.lang.String file)
                                              throws java.io.IOException

  Get Properties from a config file.

  Parameters:
    `file` - The file in the config directory to load from.
  Returns:
    The properties in the file.
  Throws:
    `java.io.IOException`